import React from 'react';
import { Language } from 'prism-react-renderer';
import { DefaultProps } from '@mantine/core';
import useStyles from './Prism.styles';
export declare type PrismStylesNames = keyof ReturnType<typeof useStyles>;
export interface PrismProps extends DefaultProps<PrismStylesNames>, React.ComponentPropsWithoutRef<'div'> {
    /** Code which will be highlighted */
    children: string;
    /** Programming language that should be highlighted */
    language: Language;
    /** True to remove copy to clipboard button */
    noCopy?: boolean;
    /** Copy button tooltip */
    copyLabel?: string;
    /** Copy button tooltip in copied state */
    copiedLabel?: string;
    /** Display line numbers */
    withLineNumbers?: boolean;
    /** Highlight line at given line number with color from theme.colors */
    highlightLines?: Record<string, {
        color: string;
        label?: string;
    }>;
}
export declare function Prism({ className, style, children, language, noCopy, themeOverride, classNames, styles, copyLabel, copiedLabel, withLineNumbers, highlightLines, ...others }: PrismProps): JSX.Element;
export declare namespace Prism {
    var displayName: string;
}
//# sourceMappingURL=Prism.d.ts.map